all: GDS_pcal2darm_plots DCS_pcal2darm_plots

GDS_pcal2darm_plots: $(IFO)1_raw_frames.cache $(IFO)1_hoft_GDS_frames.cache
	python ../../../check_calibration/pcal2darm_timeseries.py --gps-start-time $(SHORT_PLOT_START) --gps-end-time $(SHORT_PLOT_END) --ifo $(IFO)1 --raw-frame-cache $(IFO)1_raw_frames.cache --gstlal-frame-cache $(IFO)1_hoft_GDS_frames.cache --config-file '$(GDSCONFIGS)' --pcal-channel-name CAL-PCALY_TX_PD_OUT_DQ --gstlal-channel-list='GDS-CALIB_STRAIN' --labels 'GDS' --phase-ranges='0.0,3.0;-5.0,5.0;-10.0,10.0' --magnitude-ranges="0.96,1.00;0.93,1.00;0.8,1.2" --file-name-prefix GDS

DCS_pcal2darm_plots: $(IFO)1_raw_frames.cache $(IFO)1_hoft_DCS_frames.cache
	python ../../../check_calibration/pcal2darm_timeseries.py --gps-start-time $(SHORT_PLOT_START) --gps-end-time $(SHORT_PLOT_END) --ifo $(IFO)1 --raw-frame-cache $(IFO)1_raw_frames.cache --gstlal-frame-cache $(IFO)1_hoft_DCS_frames.cache --config-file '$(DCSCONFIGS)' --pcal-channel-name CAL-PCALY_TX_PD_OUT_DQ --gstlal-channel-list='DCS-CALIB_STRAIN' --labels 'DCS' --phase-ranges='0.0,3.0;-3.0,3.0;-10.0,10.0' --magnitude-ranges='0.96,1.00;0.96,1.04;0.85,1.15' --file-name-prefix DCS

clean:
	rm *.gwf *.cache *.png *.txt

